.\"	Copyright 1993, 1998, Roadkills-R-Us, Austin, TX.  All rights reserved.
.TH XLOGOUT 1 "Release 5" "X Version 11"
.SH NAME
xlogout \- button to exit X server
.SH SYNOPSIS
.B xlogout
.SH DESCRIPTION
.I xlogout
displays a simple button with either a text string
or a bitmap in it.  The default string is "Quit X".
\fIxlogout\fR is intended to be the last command in your
.xinitrc or .xsession file (the \fIcontrolling
client.\fR
.PP
When you select the button (by default with double
clicking the left mouse button, or holding down
the \fBControl\fR key and pressing the left mouse
button), \fIxlogout\fR exits, and your X server exits.
.PP
Be sure you do not put \fIxlogout\fR into the background,
or it will not do anything useful.
.SH RESOURCES
\fIxlogout\fR uses the usual Athena CommandWidget resources
and is of class \fILogout.\fR
The default resources are:
.LP
.TS
tab(|);
l l.
\f(CWLogout*Quit*Background:|Red
Logout*Quit*Font:|-*-helvetica-bold-o-normal--*-180-*-*-*-*-*-*
!Logout*Quit*Label:|Quit X
Logout*Quit*Cursor:|hand2
Logout*Quit*pointerColor:|White
Logout*Quit*bitmap:|/usr/include/X11/bitmaps/xlogout.xbm
Logout*Quit*Translations:|Ctrl Shift <Btn1Down>:set()\\n\\ 
|Ctrl Shift <Btn1Up>:notify() unset()\\n\\ 
|<Btn1Down>(2+):set() notify() unset()\\n\\ 
|<Key>Q:set() notify() unset()\\n\\ 
|Ctrl<Key>c:set() notify() unset()\\n\\ 
|<EnterWindow>:highlight()\\n\\ 
|<LeaveWindow>:reset()\fR
.TE
.LP
Using these resources, the user will see a red background with
either a white mushroom cloud (as provided) or the words ``Quit X''
in white letters (if the Label resource is uncommented).
.IP "\fBLogout.Quit\fP"
This is the
.I Command
widget used at the
.I xlogout
button.  All the standard
.I Command
resources apply, but the following, in particular,
affect perceived behavior.

.TS
allbox tab(|);
cB cB
l l.
Resource name|Usage
Label|If specified, text will appear in \fIxlogout\fR
bitmap|T{
If specified, the designated bitmap file will
be used as the image displayed by \fIxlogout\fR
T}
Translations|The built-in defaults are simplistic.
.TE
.LP
.SH USER ACTIONS
If the Logout resource file has been installed, performing
any of the following user actions while
.I xlogout
has the focus should cause
.I xlogout
to exit:
.TS
l.
- double clicking mouse button 1
- CTRL SHIFT mouse button 1
- pressing CTRL C on the keyboard
- pressing the Q key
.TE
.SH COPYRIGHT
Copyright 1993,1998 by Roadkills-R-Us.
Used with permission.
.SH AUTHOR
.I Miles O'Neal
<meo@rru.com>
